package cn.wustlinghang.wusthelper.web.api.v2.undergrade;

import cn.wustlinghang.wusthelper.web.service.campus.undergrad.UndergradCookieService;
import cn.wustlinghang.wusthelper.web.response.Response;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/jwc")
public class UndergradController {
    private final UndergradCookieService undergradCookieService;

    public UndergradController(UndergradCookieService undergradCookieService) {
        this.undergradCookieService = undergradCookieService;
    }

    @PostMapping("/login")
    public Response<String> login() {
        String cookie = undergradCookieService.getLoginCookie("202118194039", "-96387ee");
        return Response.success(cookie);
    }
}