package cn.wustlinghang.wusthelper.web.service.campus.undergrad;

import cn.wustlinghang.wusthelper.web.rpc.undergrad.CookieRemote;
import org.springframework.stereotype.Service;

@Service
public class UndergradCookieService {
    private final CookieRemote cookieRemote;

    public UndergradCookieService(CookieRemote cookieRemote) {
        this.cookieRemote = cookieRemote;
    }

    public String getLoginCookie(String username, String password) {
        return cookieRemote.login(username, password).data();
    }

    public Boolean checkCookie(String cookie) {
        return cookieRemote.verify(cookie).data();
    }
}
